> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/workflows/designing-workflows/processes/shape-repository/service-task/delegates/addattribute-delegate.md).

# AddAttribute delegate

The AddAttribute delegate adds an attribute and returns the added one with the output variable.

| Field name         | Required | Description                                                                                                                                                                                              |
| ------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| value              | Yes      | String representation of the value of an attribute, in case it's multi list separate values with the sign specified in multilistSeparator parameter. In case of boolean attribute use "true" or "false". |
| ownerId            | Yes      | ID of the term that the attribute will be added for.                                                                                                                                                     |
| typeId             | Yes      | Identify type term for the attribute - either id or signifier must be set, setting both will cause typeId to be used.                                                                                    |
| typeSignifier      |          |                                                                                                                                                                                                          |
| multilistSeparator | No       | The separator for multilist attribute value. By default comma will be used, if you want to customize it specify your own.                                                                                |
| resultVariableName | No       | The name of the variable that the result will be set in, if not given the result will be set in the variable named "output"                                                                              |

The delegate is deprecated. Replace your service task containing this delegate with a script task, for example:

```
<scriptTask id="scripttask1" name="Add attribute" scriptFormat="groovy" activiti:autoStoreVariables="false">
    <script><![CDATA[
        import com.collibra.dgc.core.api.dto.instance.attribute.AddAttributeRequest;
        def attribute = attributeApi.addAttribute(AddAttributeRequest.builder()
            .assetId(item.id)
            .typeId(string2Uuid(givenAttributeTypeId)))
            .value("attribute content")
            .build())
        execution.setVariable("output", attribute)
    ]]></script>
</scriptTask>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/workflows/designing-workflows/processes/shape-repository/service-task/delegates/addattribute-delegate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
